using Adaptation.Shared;
using Adaptation.Shared.Methods;
using Microsoft.VisualStudio.TestTools.UnitTesting;
using System;
using System.Collections.Generic;
using System.Diagnostics;
using System.IO;
using System.Reflection;
using System.Text.Json;

namespace _Tests.Extract.Staging.v2_39_0;

[TestClass]
public class R34
{

#pragma warning disable CA2254
#pragma warning disable IDE0060

    private static CreateSelfDescription.Staging.v2_39_0.R34 _R34;

    [ClassInitialize]
    public static void ClassInitialize(TestContext testContext)
    {
        CreateSelfDescription.Staging.v2_39_0.R34.ClassInitialize(testContext);
        _R34 = CreateSelfDescription.Staging.v2_39_0.R34.EAFLoggingUnitTesting;
    }

    [TestMethod]
    public void Staging__v2_39_0__R34__jpeg() => _R34.Staging__v2_39_0__R34__jpeg();

    [TestMethod]
    public void Staging__v2_39_0__R34__jpeg637812143477007703__Normal()
    {
        string check = "*.jpeg";
        _R34.Staging__v2_39_0__R34__jpeg();
        MethodBase methodBase = new StackFrame().GetMethod();
        string[] variables = _R34.AdaptationTesting.GetVariables(methodBase, check);
        IFileRead fileRead = _R34.AdaptationTesting.Get(methodBase, sourceFileLocation: variables[2], sourceFileFilter: variables[3], useCyclicalForDescription: false);
        Logistics logistics = new(fileRead);
        _ = Helpers.Deposition.ReExtractComapareUpdatePassDirectory(variables, fileRead, logistics);
    }

}